import * as $dara from '@darabonba/typescript';
import { IgnoreIdcProbeScanResultResponseBody } from "./IgnoreIdcProbeScanResultResponseBody";
export declare class IgnoreIdcProbeScanResultResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: IgnoreIdcProbeScanResultResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
